Package edu.msu.cme.rdp.classifier.io

# Enum ClassificationResultFormatter.FORMAT

java.lang.Object
java.lang.Enum<ClassificationResultFormatter.FORMAT>
edu.msu.cme.rdp.classifier.io.ClassificationResultFormatter.FORMAT

All Implemented Interfaces:
  `Serializable`, `Comparable<ClassificationResultFormatter.FORMAT>`, `java.lang.constant.Constable`

Enclosing class:
  `ClassificationResultFormatter`

public static enum ClassificationResultFormatter.FORMAT extends Enum<ClassificationResultFormatter.FORMAT>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`allRank`
`biom`
`dbformat`
`filterbyconf`
`fixRank`

## Method Summary

Modifier and Type
Method
Description
`static ClassificationResultFormatter.FORMAT`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ClassificationResultFormatter.FORMAT[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### allRank

public static final ClassificationResultFormatter.FORMAT allRank

### fixRank

public static final ClassificationResultFormatter.FORMAT fixRank

### dbformat

public static final ClassificationResultFormatter.FORMAT dbformat

### filterbyconf

public static final ClassificationResultFormatter.FORMAT filterbyconf

### biom

public static final ClassificationResultFormatter.FORMAT biom

## Method Details

### values

public static ClassificationResultFormatter.FORMAT[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClassificationResultFormatter.FORMAT valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null